Subject: Re: bug#49724: 27.2; Tramp /sudoedit:: does not preserve file security context

From: Michael Albinus <[email-masked]>
Date: Mon, 26 Jul 2021 09:57:21 +0200

Michael Albinus <[email-masked]> writes:

Hi,

> The described emacs invocation is Tramp specific. I've added the hint
> meanwhile to the Tramp manual, chapter "6 Reporting Bugs and
> Problems". It reads now
>
>    To exclude cache-related problems, flush all caches before running
> the test, *note Cleanup remote connections::.  Alternatively, and
> often better for analysis, reproduce the problem in a clean Emacs
> session started with ‘emacs -Q’.  Then, TRAMP does not load the
> persistency file (*note Connection caching::), and it does not use
> passwords from ‘auth-source.el’ (*note Password handling::).  If you
> really need a password cache, for example for the ‘sudoedit’ method,
> call
>
>      emacs -Q -l tramp \
>        --eval '(setq tramp-cache-read-persistent-data t)' \
>        --eval '(tramp-cleanup-all-connections)'

FTR, I have adapted Tramp such a way that this hack isn't needed anymore.

Best regards, Michael.